Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class Parameter

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Parameter

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AltRep, Cn, CuType, DelegatedFrom, DelegatedTo, Dir, Encoding, FbType, FmtType, Language, Member, PartStat, Range, Related, RelType, Role, Rsvp, SentBy, TzId, Value, XParameter

    public abstract class Parameter

extends Content

Defines an iCalendar parameter. Subclasses of this class provide additional validation and typed values for specific iCalendar parameters.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary
`static String` | `ALTREP` Alternate text representation.
`static String` | `CN` Common name.
`static String` | `CUTYPE` Calendar user type.
`static String` | `DELEGATED_FROM` Delegator.
`static String` | `DELEGATED_TO` Delegatee.
`static String` | `DIR` Directory entry.
`static String` | `ENCODING` Inline encoding.
`static String` | `EXPERIMENTAL_PREFIX` Prefix to all experimental parameters.
`static String` | `FBTYPE` Free/busy time type.
`static String` | `FMTTYPE` Format type.
`static String` | `LANGUAGE` Language for text.
`static String` | `MEMBER` Group or list membership.
`static String` | `PARTSTAT` Participation status.
`static String` | `RANGE` Recurrence identifier range.
`static String` | `RELATED` Alarm trigger relationship.
`static String` | `RELTYPE` Relationship type.
`static String` | `ROLE` Participation role.
`static String` | `RSVP` RSVP expectation.
`static String` | `SENT_BY` Sent by.
`static String` | `TZID` Reference to time zone object.
`static String` | `VALUE` Property value data type.

Constructor Summary
`Parameter(String aName)` Constructor.

Method Summary
`boolean` | `equals(Object arg0)` Uses `ObjectUtils` to test equality.
`String` | `getName()`
`abstract String` | `getValue()`
`int` | `hashCode()` Uses `HashCodeBuilder` to build hashcode.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ALTREP

    public static final String ALTREP

  Alternate text representation.

  See Also:
    Constant Field Values

### CN

    public static final String CN

  Common name.

  See Also:
    Constant Field Values

### CUTYPE

    public static final String CUTYPE

  Calendar user type.

  See Also:
    Constant Field Values

### DELEGATED_FROM

    public static final String DELEGATED_FROM

  Delegator.

  See Also:
    Constant Field Values

### DELEGATED_TO

    public static final String DELEGATED_TO

  Delegatee.

  See Also:
    Constant Field Values

### DIR

    public static final String DIR

  Directory entry.

  See Also:
    Constant Field Values

### ENCODING

    public static final String ENCODING

  Inline encoding.

  See Also:
    Constant Field Values

### FMTTYPE

    public static final String FMTTYPE

  Format type.

  See Also:
    Constant Field Values

### FBTYPE

    public static final String FBTYPE

  Free/busy time type.

  See Also:
    Constant Field Values

### LANGUAGE

    public static final String LANGUAGE

  Language for text.

  See Also:
    Constant Field Values

### MEMBER

    public static final String MEMBER

  Group or list membership.

  See Also:
    Constant Field Values

### PARTSTAT

    public static final String PARTSTAT

  Participation status.

  See Also:
    Constant Field Values

### RANGE

    public static final String RANGE

  Recurrence identifier range.

  See Also:
    Constant Field Values

### RELATED

    public static final String RELATED

  Alarm trigger relationship.

  See Also:
    Constant Field Values

### RELTYPE

    public static final String RELTYPE

  Relationship type.

  See Also:
    Constant Field Values

### ROLE

    public static final String ROLE

  Participation role.

  See Also:
    Constant Field Values

### RSVP

    public static final String RSVP

  RSVP expectation.

  See Also:
    Constant Field Values

### SENT_BY

    public static final String SENT_BY

  Sent by.

  See Also:
    Constant Field Values

### TZID

    public static final String TZID

  Reference to time zone object.

  See Also:
    Constant Field Values

### VALUE

    public static final String VALUE

  Property value data type.

  See Also:
    Constant Field Values

### EXPERIMENTAL_PREFIX

    public static final String EXPERIMENTAL_PREFIX

  Prefix to all experimental parameters.

  See Also:
    Constant Field Values

Constructor Detail

### Parameter

    public Parameter(String aName)

  Constructor.

  Parameters:
    `aName` - name of this parameter

Method Detail

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### getName

    public final String getName()

  Returns:
    Returns the name.

### getValue

    public abstract String getValue()

  Returns:
    Returns the value.

### equals

    public final boolean equals(Object arg0)

  Uses `ObjectUtils` to test equality.

  Overrides:
    `equals` in class `Object`

### hashCode

    public final int hashCode()

  Uses `HashCodeBuilder` to build hashcode.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.